package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class RegistrationOrPreQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    private Integer subjectId;

    private List<Integer> userIds;

    private String orderByPerRegister;

    private String orderByPayTime;

    private boolean isExport = false;

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public List<Integer> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Integer> userIds) {
        this.userIds = userIds;
    }

    public String getOrderByPayTime() {
        return orderByPayTime;
    }

    public void setOrderByPayTime(String orderByPayTime) {
        this.orderByPayTime = orderByPayTime;
    }

    public String getOrderByPerRegister() {
        return orderByPerRegister;
    }

    public void setOrderByPerRegister(String orderByPerRegister) {
        this.orderByPerRegister = orderByPerRegister;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }
}
